CLARZ(3f)

NAME
CLARZ - a complex elementary reflector H to a complex M-by-N matrix C, from either the left or the right

SYNOPSIS

SUBROUTINE CLARZ(
    SIDE, M, N, L, V, INCV, TAU, C, LDC, WORK )

CHARACTER
    SIDE

INTEGER
    INCV, L, LDC, M, N

COMPLEX
    TAU

COMPLEX
    C( LDC, * ), V( * ), WORK( * )

PURPOSE
CLARZ applies a complex elementary reflector H to a complex M-by-N matrix C, from either the left or the right. H is represented in the form
      H = I - tau * v * v'
where tau is a complex scalar and v is a complex vector.
If tau = 0, then H is taken to be the unit matrix.
To apply H' (the conjugate transpose of H), supply conjg(tau) instead tau.
H is a product of k elementary reflectors as returned by CTZRZF.

ARGUMENTS

SIDE    (input) CHARACTER*1
    = 'L': form H * C
    = 'R': form C * H

M       (input) INTEGER
    The number of rows of the matrix C.

N       (input) INTEGER
    The number of columns of the matrix C.

L       (input) INTEGER
    The number of entries of the vector V containing the meaningful part of the Householder vectors. If SIDE = 'L', M >= L >= 0, if SIDE = 'R', N >= L >= 0.

V       (input) COMPLEX array, dimension (1+(L-1)*abs(INCV))
    The vector v in the representation of H as returned by CTZRZF. V is not used if TAU = 0.

INCV    (input) INTEGER
    The increment between elements of v. INCV <> 0.

TAU     (input) COMPLEX
    The value tau in the representation of H.

C       (input/output) COMPLEX array, dimension (LDC,N)
    On entry, the M-by-N matrix C. On exit, C is overwritten by the matrix H * C if SIDE = 'L', or C * H if SIDE = 'R'.

LDC     (input) INTEGER
    The leading dimension of the array C. LDC >= max(1,M).

WORK    (workspace) COMPLEX array, dimension
    (N) if SIDE = 'L' or (M) if SIDE = 'R'

FURTHER DETAILS
Based on contributions by
  A. Petitet, Computer Science Dept., Univ. of Tenn., Knoxville, USA